org.modeshape.jcr.cache.document

## Class SessionNode.Insertions

- java.lang.Object
- - org.modeshape.jcr.cache.document.SessionNode.Insertions

- All Implemented Interfaces:
    ChildReferences.ChildInsertions
  Enclosing class:
    SessionNode

      protected static class SessionNode.Insertions
      extends Object
      implements ChildReferences.ChildInsertions

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SessionNode.Insertions(ChildReference before)`
    `protected` | `SessionNode.Insertions(ChildReference before, ChildReference inserted)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ChildReference reference)`
    `boolean` | `contains(ChildReference reference)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `Iterable<ChildReference>` | `inserted()` The nodes that were inserted.
    `ChildReference` | `insertedBefore()` The reference to the child before which the nodes are to be inserted.
    `boolean` | `remove(ChildReference reference)`
    `ChildReference` | `remove(NodeKey key)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionNode.Insertions

          protected SessionNode.Insertions(ChildReference before)

    - #### SessionNode.Insertions

          protected SessionNode.Insertions(ChildReference before,
                                ChildReference inserted)

  - ### Method Detail

    - #### inserted

          public Iterable<ChildReference> inserted()

      Description copied from interface: `ChildReferences.ChildInsertions`
      The nodes that were inserted.
      Specified by:
        `inserted` in interface `ChildReferences.ChildInsertions`
      Returns:
        the iterator over the child references that were inserted; never null

    - #### insertedBefore

          public ChildReference insertedBefore()

      Description copied from interface: `ChildReferences.ChildInsertions`
      The reference to the child before which the nodes are to be inserted.
      Specified by:
        `insertedBefore` in interface `ChildReferences.ChildInsertions`
      Returns:
        the child reference before which the nodes are to be inserted; never null

    - #### add

          public void add(ChildReference reference)

    - #### contains

          public boolean contains(ChildReference reference)

    - #### remove

          public boolean remove(ChildReference reference)

    - #### remove

          public ChildReference remove(NodeKey key)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.